Get detailed Service information
get
/service/{id}/details
Gets the requested service with associated parties and detailed information for only its latest eligible configuration. The response includes the count and IDs of all eligible configurations for version selection.
Request
Path Parameters
-
id(required): string
The ID of the service.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
The service details were retrieved successfully.
Root Schema : ServiceDetails
Type:
objectDetailed service response. The configurations array contains at most the latest eligible configuration.
Show Source
-
associatedParties: array
associatedParties
-
characteristics: array
characteristics
-
configurationCount: integer
Minimum Value:
0Number of eligible service configurations. -
configurationIds: array
configurationIds
Eligible configuration IDs ordered from latest to oldest.
-
configurations: array
configurations
Maximum Number of Items:
1Full detail for the latest eligible configuration only. -
description: string
-
entityType: string
-
id: string
-
lastModifiedDate: string
(date-time)
-
name: string
-
serviceType: string
-
specification: string
-
status: string
-
statusDate: string
(date-time)
Nested Schema : configurationIds
Type:
arrayEligible configuration IDs ordered from latest to oldest.
Show Source
Nested Schema : configurations
Type:
arrayMaximum Number of Items:
1Full detail for the latest eligible configuration only.
Show Source
-
Array of:
object ServiceConfigurationDetails
Detailed service configuration version.
Nested Schema : items
Type:
objectNested Schema : items
Type:
objectNested Schema : ServiceConfigurationDetails
Type:
objectDetailed service configuration version.
Show Source
Nested Schema : items
Type:
objectNested Schema : items
Type:
object400 Response
The request isn't valid.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
401 Response
You aren't authorized to make this request.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
403 Response
The request is forbidden.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
404 Response
The resources wasn't found.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
500 Response
An internal server error occurred.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source